use libp2p::swarm::NetworkBehaviour;

pub mod discovery;
pub mod notifications;
pub mod peer_behaviour;
pub mod transport;

#[derive(NetworkBehaviour)]
pub struct Behaviour {
    pub notifications: notifications::behaviour::Notifications,
    pub peer_info: peer_behaviour::PeerBehaviour,
    pub discovery: discovery::Discovery,
}
